//------------------------------------------------------------------------
//
//   DDLISP.DCL   Version 1.1
//
//     Copyright (C) 1994 by Eclipse Software Productions
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and that
//     both that copyright notice and this permission notice appear in
//     all supporting documentation.
//
//     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//     WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//     PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//   by Jim S. Tiller
//   6 May 1995
//
//------------------------------------------------------------------------
//
//  DESCRIPTION
//
//    Implements a DDLISP command to list a specified LSP text file in
//    a dialog box.  The file name is obtained via a get-file dialog.
//    Once file is opened and read the file can be edited line by line
//    utilizing ADD LINE, DELETE LINE, and Edit Box.

ddlisp : dialog {
         label = "Eclipse LISP Editor";
         : text {
           label = "";
           key = "writer";
         }
         spacer;
         : text {
           label = "";
           key = "title";
         }
         spacer;
         : list_box {
           key = "listbox";
           width = 100;
           height = 35;
         }
         spacer;
         : edit_box {
           key = "editbox";
           width = 75;
           height = 2;
         }
         : row {
           : button {
             label = "   Load... ";
             key = "loadit";
           }
           : button {
             label = "   Save... ";
             key = "saveit";
           }
           : button {
             label = "Delete line";
             key = "delit";
           }
         }
         : row {
           : button {
             label = "  Add line ";
             key = "addit";
           }
           : button {
             label = "  Get New  ";
             key = "getit";
           }
           : button {
             label = "   Print   ";
             key = "printit";
           }
         }
         spacer;
         ok_cancel;
         spacer;
       }
